<div class="text-center">
    <br>
    <h3>Fiches à valider</h3>
</div>
<div class="col-11 d-flex mx-auto">
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">Mois</th>
                <th scope="col">Nom Fiche</th>
                <th scope="col">Total</th>
                <th scope="col">Statut</th>
                <th scope="col">Détails</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lesFiches as $uneFiche): ?>
                <tr>
                    <th scope="row">
                        <?= $gestionFiche->dateComplete($uneFiche['rMois']) ?>
                    </th>
                    <td>
                        <?= $uneFiche['uNom'] ?>
                        <?= $uneFiche['uPrenom'] ?>
                    </td>
                    <td>
                        <?= $uneFiche['rMontantValide'] ?> €
                    </td>
                    <td>
                        <?= $uneFiche['eLibelle'] ?>
                    </td>
                    <td>
                        <a
                            href="index.php?direction=nouvelleFiche&userId=<?= $uneFiche['rVisiteur'] ?>&dateListing=<?= $uneFiche['rMois'] ?>">voir</a>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<?php if ($pages > 0): ?>
    <div class="col-4 d-flex mx-auto">
        <nav>
            <ul class="pagination">
                <!-- Lien vers la page précédente (désactivé si on se trouve sur la 1ère page) -->
                <li class="page-item <?= ($currentPage == 1) ? "disabled" : "" ?>">
                    <a href="index.php?direction=ficheAvalider&page=<?= $currentPage - 1 ?>"
                        class="page-link">Précédente</a>
                </li>
                <?php for ($page = 1; $page <= $pages; $page++): ?>
                    <!-- Lien vers chacune des pages (activé si on se trouve sur la page correspondante) -->
                    <li class="page-item <?= ($currentPage == $page) ? "active" : "" ?>">
                        <a href="index.php?direction=ficheAvalider&page=<?= $page ?>" class="page-link">
                            <?= $page ?>
                        </a>
                    </li>
                <?php endfor ?>
                <!-- Lien vers la page suivante (désactivé si on se trouve sur la dernière page) -->
                <li class="page-item <?= ($currentPage == $pages) ? "disabled" : "" ?>">
                    <a href="index.php?direction=ficheAvalider&page=<?= $currentPage + 1 ?>" class="page-link">Suivante</a>
                </li>
            </ul>
        </nav>
    </div>
<?php endif; ?>
